"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var user_1 = require("./user");
var luxon_1 = require("luxon");
exports.parseServerProject = function (data) {
    return {
        id: data['id'],
        clientId: data['client_id'],
        displayName: data['display_name'],
        hasTasks: data['has_tasks'],
        isArchive: data['is_archive'],
        name: data['name'],
        owner: user_1.parseServerUser(data['owner']),
        role: data['role'],
        url: data['url'],
        date: luxon_1.DateTime.fromJSDate(new Date(data['date']))
    };
};
