export class Media {
  file: string = '';
  height: number = 0;
  width: number = 0;
  type: string = '';
  sizes: MediaSize = {
    small: '',
    medium: ''
  };
}

interface MediaSize {
  medium: string;
  small: string;
}

export const parseServerMedia = (data: any) => {
  const media = new Media();
  media.file = data['file'];
  media.height = data['height'];
  media.width = data['width'];
  media.sizes = {
    medium: data['sizes']['medium'],
    small: data['sizes']['small']
  };
  return media;
};
