"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Media = /** @class */ (function () {
    function Media() {
        this.file = '';
        this.height = 0;
        this.width = 0;
        this.type = '';
        this.sizes = {
            small: '',
            medium: ''
        };
    }
    return Media;
}());
exports.Media = Media;
exports.parseServerMedia = function (data) {
    var media = new Media();
    media.file = data['file'];
    media.height = data['height'];
    media.width = data['width'];
    media.sizes = {
        medium: data['sizes']['medium'],
        small: data['sizes']['small']
    };
    return media;
};
