export class User {
  id: number = 0;
  accounting: boolean = false;
  clients: User[] = [];
  headline: string = '';
  mission?: string;
  email?: string;
  type: 'user' | 'company' | 'client' = 'user';
  username: string = '';
  name: string = '';
  companies: User[] = [];
  currentCompany?: User;
  thumbnail?: string;
}

export const parseServerUser = (data: any) => {

  const user = new User();
  user.id = data['id'] as number;
  user.name = data['name'];
  user.thumbnail = data['thumbnail'];

  return user;
};
